Package ghidra.util.table.field

# Class ProgramLocationTableColumnExtensionPoint<ROW_TYPE,COLUMN_TYPE>

java.lang.Object
docking.widgets.table.AbstractDynamicTableColumn<ROW_TYPE,COLUMN_TYPE,DATA_SOURCE>
docking.widgets.table.DynamicTableColumnExtensionPoint<ROW_TYPE,COLUMN_TYPE,Program>
ghidra.util.table.field.ProgramLocationTableColumnExtensionPoint<ROW_TYPE,COLUMN_TYPE>

Type Parameters:
  `ROW_TYPE` - The row object class supported by this column
  `COLUMN_TYPE` - The column object class supported by this column

All Implemented Interfaces:
  `DynamicTableColumn<ROW_TYPE,COLUMN_TYPE,Program>`, `ExtensionPoint`, `ProgramBasedDynamicTableColumn<ROW_TYPE,COLUMN_TYPE>`, `ProgramLocationTableColumn<ROW_TYPE,COLUMN_TYPE>`

Direct Known Subclasses:
  `AbstractReferenceBytesTableColumn`, `AbstractReferencePreviewTableColumn`, `AddressTableColumn`, `AddressTableDataTableColumn`, `AddressTableLengthTableColumn`, `ByteCountProgramLocationBasedTableColumn`, `BytesTableColumn`, `CodeUnitTableColumn`, `EOLCommentTableColumn`, `FunctionCallingConventionTableColumn`, `FunctionNameTableColumn`, `FunctionParameterCountTableColumn`, `FunctionSignatureTableColumn`, `LabelTableColumn`, `MemorySectionProgramLocationBasedTableColumn`, `MemoryTypeProgramLocationBasedTableColumn`, `PreviewTableColumn`, `ReferenceFromAddressTableColumn`, `ReferenceFromFunctionTableColumn`, `ReferenceFromLabelTableColumn`, `ReferenceToAddressTableColumn`, `ReferenceTypeTableColumn`

public abstract class ProgramLocationTableColumnExtensionPoint<ROW_TYPE,COLUMN_TYPE> extends DynamicTableColumnExtensionPoint<ROW_TYPE,COLUMN_TYPE,Program> implements ProgramLocationTableColumn<ROW_TYPE,COLUMN_TYPE>
A convenience class that allows subclasses to signal that they implement `ProgramLocationTableColumn` and that they are `ExtensionPoint`s.

If you do not wish to be an extension point, but do wish to provide ProgramLocation objects, then you can just implement `ProgramLocationTableColumn` or extend `AbstractProgramLocationTableColumn`.

See Also:
  - `ProgramLocationTableColumn`
  - `AbstractProgramLocationTableColumn`

- ## Field Summary

  ### Fields inherited from class docking.widgets.table.AbstractDynamicTableColumn

  `FLOATING_POINT_PRECISION_SETTING, FLOATING_POINT_SETTINGS_DEFINITIONS, INTEGER_RADIX_SETTING, INTEGER_SETTINGS_DEFINITIONS, INTEGER_SIGNEDNESS_MODE_SETTING, NO_SETTINGS_DEFINITIONS`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ProgramLocationTableColumnExtensionPoint()`

- ## Method Summary

  ### Methods inherited from class docking.widgets.table.AbstractDynamicTableColumn

  `equals, getColumnClass, getColumnDescription, getColumnDisplayName, getColumnName, getColumnPreferredWidth, getColumnRenderer, getComparator, getComparator, getHeaderRenderer, getMaxLines, getSettingsDefinitions, getSupportedRowType, getUniqueIdentifier, getValue, hashCode, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface docking.widgets.table.DynamicTableColumn

  `getColumnClass, getColumnDescription, getColumnDisplayName, getColumnName, getColumnPreferredWidth, getColumnRenderer, getComparator, getHeaderRenderer, getMaxLines, getSettingsDefinitions, getSupportedRowType, getUniqueIdentifier, getValue`

  ### Methods inherited from interface ghidra.util.table.field.ProgramLocationTableColumn

  `getProgramLocation`

- ## Constructor Details

  - ### ProgramLocationTableColumnExtensionPoint

    public ProgramLocationTableColumnExtensionPoint()